package service

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
	cdr "git.loafle.net/commons/di-go/registry"
	_ "git.loafle.net/overflow/commons-go/core/annotation"
)

var SensorConfigServiceType = reflect.TypeOf((*SensorConfigService)(nil))

func init() {
	cdr.RegisterType(SensorConfigServiceType)
}

type SensorConfigService struct {
	cda.TypeAnnotation `annotation:"@overflow:RPCService()"`
}

func (s *SensorConfigService) InitService() error {
	return nil
}

func (s *SensorConfigService) StartService() error {

	return nil
}

func (s *SensorConfigService) StopService() {

}

func (s *SensorConfigService) DestroyService() {

}
